<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Uses of Interface ch.sebi.zuul.logic.condition.Condition</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface ch.sebi.zuul.logic.condition.Condition";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/condition/class-use/Condition.html" target="_top">Frames</a></li>
<li><a href="Condition.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface ch.sebi.zuul.logic.condition.Condition" class="title">Uses of Interface<br>ch.sebi.zuul.logic.condition.Condition</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic">ch.sebi.zuul.logic</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.condition">ch.sebi.zuul.logic.condition</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.map">ch.sebi.zuul.logic.map</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="ch.sebi.zuul.logic">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a> in <a href="../../../../../../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a> declared as <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/Game.html#loosingCondition">loosingCondition</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/Game.html#winningCondition">winningCondition</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a> that return <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/Game.html#getLoosingCondition--">getLoosingCondition</a></span>()</code>
<div class="block">Returns the loosing condition which has to evaluate to true to loos
 the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/Game.html#getWinningCondition--">getWinningCondition</a></span>()</code>
<div class="block">Returns the winning winningCondition which has to evaluate to true</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.condition">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a> in <a href="../../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a> that implement <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html" title="class in ch.sebi.zuul.logic.condition">ItemInInventoryCondition</a></span></code>
<div class="block">A condition which checks if a given item is in the player's inventory</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/condition/NoExitCondition.html" title="class in ch.sebi.zuul.logic.condition">NoExitCondition</a></span></code>
<div class="block">A condition which evaluates to true when the current room has no exits</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/condition/RoomCondition.html" title="class in ch.sebi.zuul.logic.condition">RoomCondition</a></span></code>
<div class="block">a condition which checks if the player is in a set of rooms</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.map">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a> in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a> with type parameters of type <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Exit.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Exit.html#conditions">conditions</a></span></code>
<div class="block">A list with all conditions which have to evaluate to true to make the exit usable</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a> that return <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">Exit.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Exit.html#getConditions--">getConditions</a></span>()</code>
<div class="block">Returns all conditions which have to evaluate to true to make the exit open</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a> with parameters of type <a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a></code></td>
<td class="colLast"><span class="typeNameLabel">Exit.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Exit.html#addCondition-ch.sebi.zuul.logic.condition.Condition-">addCondition</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Condition</a>&nbsp;condition)</code>
<div class="block">Adds a new condition to the exit</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../ch/sebi/zuul/logic/condition/Condition.html" title="interface in ch.sebi.zuul.logic.condition">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/condition/class-use/Condition.html" target="_top">Frames</a></li>
<li><a href="Condition.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
